Update Student
Update Student
Section titled “Update Student”Update a student identified by :jodo_student_id.
Endpoint
Section titled “Endpoint”PATCH /api/v1/integrations/erp/students/:jodo_student_idCode Snippets
Section titled “Code Snippets”curl --location --request PATCH 'https://JODO_API_KEY:JODO_API_SECRET@JODO_API_HOST/api/v1/integrations/erp/students/6356' \--header 'Content-Type: application/json' \--data '{ "fullname": "Amazing Name", "identifier": "JODO/TEST/123456"}'import requestsimport json
url = "https://JODO_API_KEY:JODO_API_SECRET@JODO_API_HOST/api/v1/integrations/erp/students/6356"
payload = json.dumps({ "fullname": "Amazing Name", "identifier": "JODO/TEST/123456"})headers = { 'Content-Type': 'application/json'}
response = requests.request("PATCH", url, headers=headers, data=payload)
print(response.text)<?phprequire_once 'HTTP/Request2.php';$request = new HTTP_Request2();$request->setUrl('https://JODO_API_KEY:JODO_API_SECRET@JODO_API_HOST/api/v1/integrations/erp/students/6356');$request->setMethod('PATCH');$request->setConfig(array( 'follow_redirects' => TRUE));$request->setHeader(array( 'Content-Type' => 'application/json'));$request->setBody('{"fullname": "Amazing Name","identifier": "JODO/TEST/123456"}');try { $response = $request->send(); if ($response->getStatus() == 200) { echo $response->getBody(); } else { echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' . $response->getReasonPhrase(); }} catch(HTTP_Request2_Exception $e) { echo 'Error: ' . $e->getMessage();}Request Body
Section titled “Request Body”{ "fullname": "Amazing Name", "identifier": "JODO/TEST/123456"}| Attribute | Type | Required | Description |
|---|---|---|---|
| fullname | string | Yes | Full Name of the Student |
| identifier | string | Yes | Student Identifier assigned by the school (Enrolment Number) |
Response
Section titled “Response”- HTTP Code:
200
| Attribute | Type | Description |
|---|---|---|
| registration_id | string | Unique registration id generated for the user |
| data.fullname | string | fullname of the student |
| data.identifier | string | student identifier |
| data.grade | string | grade code for the student |
| data.new_admission | boolean | True if the student is a new admission |
| data.academic_year_start | integer | academic year start for the student |
| data.academic_year_end | integer | academic year end for the student |
| data.date_of_birth | string | date of birth in YYYY-MM-DD format |
| data.primary_contact_name | string | parent name |
| data.primary_contact_number | string | parent phone number |
| data.primary_contact_email | string | parent email |
| data.joining_year | integer | joining year, will be present if the student is a new admission |